import { OnInit, EventEmitter, ViewContainerRef, ElementRef, TemplateRef } from '@angular/core';
import { DatePickerService } from './date-picker.service';
import { Overlay, HorizontalConnectionPos, VerticalConnectionPos } from '@angular/cdk/overlay';
export declare class DatePickerComponent implements OnInit {
    private datePickerService;
    private overlay;
    private elementRef;
    viewContainerRef: ViewContainerRef;
    /** @prop Optional css class string | '' */
    className: string;
    /** @prop Set the direction in which the DatePicker opens | 'bottom-center' */
    direction: string;
    /** @prop Sets the language of the DatePicker | 'en' */
    locale: string;
    /** @prop Sets the last date in which the DatePicker does not disable | null */
    maxDate: any;
    /** @prop Sets the first date in which the DatePicker does not disable | null */
    minDate: any;
    /** @prop Function to filter Dates | null */
    filterDate: Function;
    /** @prop Sets the format of the month | 'MMMM YYYY' */
    monthFormat: string;
    /** @prop Text to display for blindness accessibility features | 'next' */
    nextArialLabel: string;
    /** @prop Text to display for blindness accessibility features | 'previous' */
    previousArialLabel: string;
    /** @prop Initial Selected Date for DatePicker | moment().toDate()  */
    selectedDate: any;
    /** @prop Determines if the DatePicker should close when a date is selected | true */
    shouldCloseOnSelect: boolean;
    /** @prop Determines if the DatePicker should show the open/close arrow | false */
    showArrow: boolean;
    /** @prop To enable/disable clicking on underlay to exit modal | false */
    backdropClickExit: boolean;
    /** @prop Optional overlay positioin | '' */
    originX: HorizontalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    originY: VerticalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    overlayX: HorizontalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    overlayY: VerticalConnectionPos;
    /** @prop Handler invoked when user makes a change within the DatePicker | null */
    whenChange: EventEmitter<{}>;
    /** @prop Handler invoked when user makes a change to the selected month within DatePicker | null */
    whenMonthChange: EventEmitter<{}>;
    /** @prop Handler invoked when user selects a date within DatePicker | null */
    whenSelect: EventEmitter<{}>;
    tempDatepicker: TemplateRef<any>;
    connectToButton: any;
    private overlayRef;
    private tp;
    constructor(datePickerService: DatePickerService, overlay: Overlay, elementRef: ElementRef, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    show: () => void;
    dismiss: () => void;
    private showContent;
    private dismissContent;
    onPress: (e: any) => boolean;
}
/**
 * @component md-date-picker
 * @section backdropClickExit
 * @angular
 *
<md-date-picker #datepicker [backdropClickExit]='true' (whenSelect)='whenSelect($event)'>
  <button class='marginLeft' (click)='switchDatePicker()'>Select</button>
</md-date-picker>
 */
