import { OnInit, ElementRef, ViewContainerRef, EventEmitter, TemplateRef } from '@angular/core';
import { DateRangeInputComponent } from './date-range-input.component';
import { DatePickerService } from '../date-picker/date-picker.service';
import { Overlay, HorizontalConnectionPos, VerticalConnectionPos } from '@angular/cdk/overlay';
export declare class DateRangePickerComponent implements OnInit {
    private datePickerService;
    private overlay;
    private elementRef;
    viewContainerRef: ViewContainerRef;
    /** @prop Optional css class string | '' */
    className: string;
    /** @prop Set the direction in which the DatePicker opens | 'bottom-center' */
    direction: string;
    /** @prop Sets the language of the DatePicker | 'en' */
    locale: string;
    /** @prop Sets the last date in which the DatePicker does not disable | null */
    maxDate: any;
    /** @prop Sets the first date in which the DatePicker does not disable | null */
    minDate: any;
    /** @prop Function to filter Dates | null */
    filterDate: Function;
    /** @prop Sets the format of the month | 'MMMM YYYY' */
    monthFormat: string;
    /** @prop Text to display for blindness accessibility features | 'next' */
    nextArialLabel: string;
    /** @prop Text to display for blindness accessibility features | 'previous' */
    previousArialLabel: string;
    /** @prop Initial start Date for DatePicker | moment().toDate()  */
    startDate?: any;
    /** @prop Initial end Date for DatePicker | moment().toDate()  */
    endDate?: any;
    /** @prop Determines if the DatePicker should close when a date is selected | true */
    shouldCloseOnSelect: boolean;
    /** @prop To enable/disable clicking on underlay to exit modal | false */
    backdropClickExit: boolean;
    /** @prop Optional overlay positioin | '' */
    originX: HorizontalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    originY: VerticalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    overlayX: HorizontalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    overlayY: VerticalConnectionPos;
    /** @prop To the format of the date | 'MMMM Do' */
    dateFormat: string;
    /** @prop Handler invoked when user makes a change within the DatePicker | null */
    whenFocusChange: EventEmitter<{}>;
    /** @prop Handler invoked when user makes a change to the selected month within DatePicker | null */
    whenMonthChange: EventEmitter<{}>;
    /** @prop Handler invoked when user selects a date within DateRangePicker | null */
    whenSelectChange: EventEmitter<{}>;
    tempDatepicker: TemplateRef<any>;
    connectToButton: any;
    inputStartDate: DateRangeInputComponent;
    inputEndDate: DateRangeInputComponent;
    private overlayRef;
    private tp;
    constructor(datePickerService: DatePickerService, overlay: Overlay, elementRef: ElementRef, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    private initService;
    private initOverLay;
    targetChange: (ifStart: any) => void;
    handleStartOrEndChange: (date: any, ifStart: any) => void;
    getDateInfo(): {
        startDate: any;
        endDate: any;
        startDateStr: any;
        strEndStr: any;
        str: string;
    };
    clearStartDate: () => void;
    clearEndDate: () => void;
    show: () => void;
    dismiss: () => void;
    private showContent;
    private dismissContent;
    onPressMove: (offset: any) => void;
    onPress: (e: any) => boolean;
}
