/** @component modal */
import { OnInit, ElementRef, AfterViewInit } from '@angular/core';
import { FocusTrapFactory } from '@angular/cdk/a11y';
import { ModalContent, ModalRef } from './modal-ref';
export declare type SizeType = 'large' | 'medium' | 'default' | 'small' | 'full' | 'dialog';
export declare class ModalComponent implements OnInit, AfterViewInit {
    private modalRef;
    private _elRef;
    private _focusTrapFactory;
    /** @prop Determines the visibility and ability to edit the backdrop of the Modal | true */
    backdrop: Boolean;
    private _classList;
    /** @propptional css class names | '' */
    class: any;
    /** @prop size of the modal | 'default' */
    sizeType: SizeType;
    /** @prop htmlId for modal | 'md-modal' */
    htmlId: String;
    /** @prop ariaLabel for modal | '' */
    ariaLabel: String;
    /** @option data array of data for modal | [] */
    data: [];
    content: ModalContent;
    context: any;
    constructor(modalRef: ModalRef, _elRef: ElementRef, _focusTrapFactory: FocusTrapFactory);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    private _trapFocus;
}
