import { HorizontalConnectionPos, Overlay, VerticalConnectionPos } from '@angular/cdk/overlay';
import { ElementRef, EventEmitter, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { MinuteIntervalType, TimePickerService } from './time-picker.service';
export declare class TimePickerComponent implements OnInit {
    timePickerService: TimePickerService;
    private overlay;
    private elementRef;
    viewContainerRef: ViewContainerRef;
    private overlayRef;
    private tp;
    /** @prop Set the value of the Input element | '' */
    value: string;
    /** @prop Optional css class string | '' */
    className: string;
    /** @prop Choose to use military time | false */
    militaryTime: boolean;
    /** @prop Determine the minute interval | 1 */
    minuteInterval: MinuteIntervalType;
    /** @prop Set the initial selected time | null */
    selectedTime: any;
    /** @prop Optional overlay positioin | '' */
    originX: HorizontalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    originY: VerticalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    overlayX: HorizontalConnectionPos;
    /** @prop Optional overlay positioin | '' */
    overlayY: VerticalConnectionPos;
    /** @prop Callback function invoked when user makes a change | null */
    whenChange: EventEmitter<{}>;
    timePickerCon: TemplateRef<any>;
    connectToInput: ElementRef;
    constructor(timePickerService: TimePickerService, overlay: Overlay, elementRef: ElementRef, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    onFocus: () => void;
    show: () => void;
    dismiss: () => void;
    private showContent;
    private dismissContent;
}
/**
 * @component time-picker
 * @section className
 * @angular
 *
    <md-date-picker #datepicker
      className='High'
      [backdropClickExit]='true'
      (whenChange)='whenChange($event)'
      (whenMonthChange)='whenMonthChange($event)'
      (whenSelect)='whenSelect($event)'
    >
      <button (click)='switchDatePicker()'>Select</button>
    </md-date-picker>
 */
